Get Audit Logs by Event Name

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API retrieves audit logs for a specific behavioral event. The API provides detailed records of actions and events associated with the selected event name.

Audit logs for custom field changes, such as enabling or disabling specific features, are only generated when updates are performed using the V2 API. Updates made using the V1.1 API do not create audit log entries for custom fields, even if audit logging is configured.

Prerequisites

Make sure you have the right authentication and appropriate access control configured.

  • Access group resource: Write access to customer group resource. For more information on access control, see, access group documentation.
  • Authentication: Basic authentication details. For more information on authentication, see Authentication.
  • API version: Audit logs for custom field changes are only generated when updates are made using the V2 API. Updates made using the V1.1 API do not generate audit log entries for custom fields.

Resource information

HTTP methodGET
AuthenticationBasic
Pagination supported?NO
Rate limitYES
Batch supportNO

API Curl

curl --location 'https://eu.api.capillarytech.com/v2/events/audit_logs?format=json&eventName=TestingEvent_FE' \
--header 'Authorization: Basic IwM2FlNw==' \
--header 'Cookie: _cfuvid=LvoffYWnKNroiGI4mcPHub.st6yK1dPDHOW3wI1lEls-1751478744816-0.0.1.1-604800000'

Response parameters

FieldTypeDescription
..dataArrayList containing details of each data entry.
...idstringUnique identifier for the event name
...orgIdintegerUnique identifier for the organization to which the event belongs.
...valueHistoryArrayArray that records the historical values of an attribute before and after changes, showing how it evolved.
....valuestringRepresents the current value of an attribute after a change.
....changedOnstringDate and time when the change happened.
...updatedTypestringIndicates the type of update, such as creation, modification or deletion.
...requestIdstringUnique identifier for the request.
...eventNamestringName of the event.
..warningsArrayArray containing warnings, if any.
..errorsArrayArray containing errors, if any.

Error codes

CodeDescription
400Bad request. The request is invalid or malformed (e.g., incorrect parameters, missing required fields).
401Unauthorized. Authentication failed because credentials are missing, invalid, or expired.
500Internal server error. The server encountered an unexpected error while processing the request.

Query Params
string
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json